summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorClark Boylan <clark.boylan@gmail.com>2019-03-06 13:31:34 -0800
committerClark Boylan <clark.boylan@gmail.com>2019-03-06 13:31:34 -0800
commit98c85cb0a710293c96ada8a264e987aaee5af9d6 (patch)
tree9967e430a12de63c9c8e3bb337ea3c88635774e3
parentaa7ec0ee06f45985a2f121a1e95b8d1d4343bd7b (diff)
Remove unused puppi dependency
We assert a dependency on this puppi puppet module but then never use it. Looking at the git log we used it at one time to download tarballs but then stopped as it wasn't reliable enough. Clean this up to make puppet 4 happier about this module not having puppi available in production. Change-Id: Ifed308229b92035e8b62d8b3677ca698639c6804
Notes
Notes (review): Code-Review+2: Colleen Murphy <colleen@gazlene.net> Code-Review+2: Jeremy Stanley <fungi@yuggoth.org> Workflow+1: Jeremy Stanley <fungi@yuggoth.org> Verified+2: Zuul Submitted-by: Zuul Submitted-at: Wed, 06 Mar 2019 22:35:44 +0000 Reviewed-on: https://review.openstack.org/641485 Project: openstack-infra/puppet-storyboard Branch: refs/heads/master
-rw-r--r--Modulefile1
-rw-r--r--metadata.json4
-rw-r--r--vagrant.sh3
3 files changed, 0 insertions, 8 deletions
diff --git a/Modulefile b/Modulefile
index 1da2631..6a2944f 100644
--- a/Modulefile
+++ b/Modulefile
@@ -12,6 +12,5 @@ dependency 'puppetlabs/stdlib', '= 3.2.0'
12dependency 'puppetlabs/mysql', '= 0.6.1' 12dependency 'puppetlabs/mysql', '= 0.6.1'
13dependency 'puppetlabs/apache', '= 0.0.4' 13dependency 'puppetlabs/apache', '= 0.0.4'
14dependency 'puppetlabs/rabbitmq', '= 5.0.0' 14dependency 'puppetlabs/rabbitmq', '= 5.0.0'
15dependency 'example42/puppi', '= 2.1.9'
16dependency 'openstackinfra/vcsrepo', '= 0.0.8' 15dependency 'openstackinfra/vcsrepo', '= 0.0.8'
17dependency 'stankevich/python', '= 1.6.6' 16dependency 'stankevich/python', '= 1.6.6'
diff --git a/metadata.json b/metadata.json
index 7ffce30..45fdc82 100644
--- a/metadata.json
+++ b/metadata.json
@@ -25,10 +25,6 @@
25 "version_requirement": ">= 4.0.0" 25 "version_requirement": ">= 4.0.0"
26 }, 26 },
27 { 27 {
28 "name": "example42/puppi",
29 "version_requirement": ">= 2.1.9"
30 },
31 {
32 "name": "openstackinfra/vcsrepo", 28 "name": "openstackinfra/vcsrepo",
33 "version_requirement": ">= 0.0.8" 29 "version_requirement": ">= 0.0.8"
34 }, 30 },
diff --git a/vagrant.sh b/vagrant.sh
index 8726c9e..523b402 100644
--- a/vagrant.sh
+++ b/vagrant.sh
@@ -21,9 +21,6 @@ fi
21if [ ! -d /etc/puppet/modules/rabbitmq ]; then 21if [ ! -d /etc/puppet/modules/rabbitmq ]; then
22 puppet module install puppetlabs-rabbitmq --version 5.0.0 22 puppet module install puppetlabs-rabbitmq --version 5.0.0
23fi 23fi
24if [ ! -d /etc/puppet/modules/puppi ]; then
25 puppet module install example42-puppi --version 2.1.9
26fi
27if [ ! -d /etc/puppet/modules/vcsrepo ]; then 24if [ ! -d /etc/puppet/modules/vcsrepo ]; then
28 puppet module install openstackinfra-vcsrepo --version 0.0.8 25 puppet module install openstackinfra-vcsrepo --version 0.0.8
29fi 26fi